Bug 392735 - Crash on viewing or trying to add data into any account
Summary: Crash on viewing or trying to add data into any account
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 5.0.1
Platform: openSUSE RPMs Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-04 17:37 UTC by Kwanza.Pili
Modified: 2018-08-20 14:21 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.2


Attachments
Proposed change to fix problem (523 bytes, patch)
2018-06-03 08:49 UTC, Thomas Baumgart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kwanza.Pili 2018-04-04 17:37:36 UTC
I compiled the kmymoney-5.0.1 from source based on KDE frameworks 5.44.0, plasma 5.12.4 and apps 17.12.3. I have qt-5.10.1. I can start kmymoney, but as soon as I click on anything that will allow data entry, the application crashes immediately. The back trace is as follows:
#0  0x00007ffff18de043 in operator<(QString const&, QString const&) () at /opt/kde/lib64/libQt5Core.so.5
#1  0x000055555589ecf0 in qMapLessThanKey<QString>(QString const&, QString const&) (key2=..., key1=...)
    at /opt/kde/include/qt5/QtCore/qmap.h:71
#2  0x000055555589ecf0 in QMapNode<QString, QWidget*>::lowerBound(QString const&) (akey=..., this=<optimized out>)
    at /opt/kde/include/qt5/QtCore/qmap.h:155
#3  0x000055555589ecf0 in QMapData<QString, QWidget*>::findNode(QString const&) const (this=<optimized out>, akey=...) at /opt/kde/include/qt5/QtCore/qmap.h:287
#4  0x00005555558d883f in QMap<QString, QWidget*>::remove(QString const&) (akey=..., this=0x555557af7848)
    at /opt/kde/include/qt5/QtCore/qmap.h:945
#5  0x00005555558d883f in KMyMoneyRegister::QWidgetContainer::removeOrphans() (this=this@entry=0x555557af7848)
    at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/widgets/qwidgetcontainer.cpp:55
#6  0x000055555588523d in TransactionEditor::setup(QList<QWidget*>&, MyMoneyAccount const&, eWidgets::eRegister::Action) (this=this@entry=0x5555578f7be0, tabOrderWidgets=..., account=..., action=<optimized out>)
    at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/dialogs/transactioneditor.cpp:181
#7  0x00005555556d1ac8 in KGlobalLedgerView::startEdit(KMyMoneyRegister::SelectedTransactions const&) (this=this@entry=0x55555613ca90, list=...)
    at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/views/kgloballedgerview.cpp:823
#8  0x00005555556df939 in KGlobalLedgerViewPrivate::startEdit(KMyMoneyRegister::SelectedTransactions const&) (this=this@entry=0x5555561157d0, list=...)
    at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/views/kgloballedgerview_p.h:1151
#9  0x00005555556d5948 in KGlobalLedgerView::slotNewTransactionForm(eWidgets::eRegister::Action) (this=0x55555613ca90, id=<optimized out>) at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/views/kgloballedgerview.cpp:1352
#10 0x00007ffff1a68e0c in QMetaObject::activate(QObject*, int, int, void**) () at /opt/kde/lib64/libQt5Core.so.5
#11 0x00005555558d4425 in KMyMoneyRegister::Register::selectItem(int, int) (this=0x555556142ce0, row=<optimized out>, col=4) at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/widgets/register.cpp:1139
#12 0x00007ffff1a68e0c in QMetaObject::activate(QObject*, int, int, void**) () at /opt/kde/lib64/libQt5Core.so.5
#13 0x00007ffff27af07f in QTableWidget::cellClicked(int, int) () at /opt/kde/lib64/libQt5Widgets.so.5
#14 0x00007ffff1a68d0a in QMetaObject::activate(QObject*, int, int, void**) () at /opt/kde/lib64/libQt5Core.so.5
#15 0x00007ffff2757f45 in QAbstractItemView::clicked(QModelIndex const&) () at /opt/kde/lib64/libQt5Widgets.so.5
#16 0x00007ffff275acbb in QAbstractItemView::mouseReleaseEvent(QMouseEvent*) ()
    at /opt/kde/lib64/libQt5Widgets.so.5
#17 0x00007ffff2563188 in QWidget::event(QEvent*) () at /opt/kde/lib64/libQt5Widgets.so.5
#18 0x00007ffff260122e in QFrame::event(QEvent*) () at /opt/kde/lib64/libQt5Widgets.so.5
#19 0x00007ffff27632ec in QAbstractItemView::viewportEvent(QEvent*) () at /opt/kde/lib64/libQt5Widgets.so.5
#20 0x00007ffff1a3a7f4 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
    at /opt/kde/lib64/libQt5Core.so.5
#21 0x00007ffff2526de5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
    at /opt/kde/lib64/libQt5Widgets.so.5
#22 0x00007ffff252e65f in QApplication::notify(QObject*, QEvent*) () at /opt/kde/lib64/libQt5Widgets.so.5
#23 0x00007ffff1a3aae8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
    at /opt/kde/lib64/libQt5Core.so.5
#24 0x00007ffff252d6af in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /opt/kde/lib64/libQt5Widgets.so.5
#25 0x00007ffff257d7fb in  () at /opt/kde/lib64/libQt5Widgets.so.5
#26 0x00007ffff257fc21 in  () at /opt/kde/lib64/libQt5Widgets.so.5
#27 0x00007ffff2526e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
    at /opt/kde/lib64/libQt5Widgets.so.5
#28 0x00007ffff252e104 in QApplication::notify(QObject*, QEvent*) () at /opt/kde/lib64/libQt5Widgets.so.5
#29 0x00007ffff1a3aae8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
    at /opt/kde/lib64/libQt5Core.so.5
#30 0x00007ffff1f3d6cc in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) ()
    at /opt/kde/lib64/libQt5Gui.so.5
#31 0x00007ffff1f3f005 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /opt/kde/lib64/libQt5Gui.so.5
#32 0x00007ffff1f17dfb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
    at /opt/kde/lib64/libQt5Gui.so.5
#33 0x00007fffdaf7f74b in  () at /opt/kde/lib64/libQt5XcbQpa.so.5
#34 0x00007ffff1a392ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
    at /opt/kde/lib64/libQt5Core.so.5
#35 0x00007ffff1a41f34 in QCoreApplication::exec() () at /opt/kde/lib64/libQt5Core.so.5
#36 0x000055555562a325 in runKMyMoney(std::unique_ptr<QSplashScreen, std::default_delete<QSplashScreen> >, QUrl const&, bool, QApplication&) (splash=std::unique_ptr<QSplashScreen> containing 0x0, file=..., noFile=<optimized out>, a=...) at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/main.cpp:314
#37 0x0000555555627f0c in main(int, char**) (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/kmymoney-5.0.1-46.2.x86_64/kmymoney/main.cpp:231
Comment 1 bobbilly5 2018-05-24 15:58:17 UTC
Same issue here, but on FreeBSD.
If I try to change/edit/create new transaction in any account it just freezes with a 1.2GB core file.

If I click on Schedule and enter transaction [per schedule] there, all is good, it adds that entry and I can save without crashing.
Comment 2 Jack 2018-05-24 16:09:38 UTC
bobbilly:  Please provide some more details - which version of KMM?  Does it crash or freeze, and does it do so on trying to add/edit a transaction, or on trying to save the file?  Can you run under strace to see where it is failing?  Does a consistency check show any problems?
Comment 3 bobbilly5 2018-05-24 16:31:12 UTC
kmymoney 5.0.1 - compiled from ports several days ago.
FreeBSD 11-STABLE amd64
No problems with 4.8, upgraded to 5.0.1.

Never heard of consistency check, but will try it later today.
Will try strace also.

If I go to Schedule and Enter a due bill from there, I get the Confirm window, fill that out and Enter, save kmymoney file - that is fine.

If I go to Ledger [tried at least 3 accounts], as soon as I click on 'New' or 'Edit' or double click an existing transaction it just does a hard freeze.  I sit and watch as it dumps a 1.2GB core file into my home directory, then the application window crashes/disappears.

The transactions entered via schedule are there when I start it back up and all seems good.
Comment 4 Jack 2018-05-24 19:14:13 UTC
Terminology issue: that's a crash, not a freeze.  A freeze would just sit there forever, until you kill it.  If it dumps core, it has crashed, and I wonder if there might be a backtrace someplace.  I don't know BSD, but you could probably extract some useful information from that core dump, although I have no idea what tools you would need to do so.  

It sounds like it has something to do with the ledger.  Can you display the ledger, right click on a transaction and at least get the pop up context menu?
Comment 5 bobbilly5 2018-05-25 04:18:20 UTC
I can right click on a transaction, then as soon as I click 'edit' it crashes.

a:$ gdb /usr/local/bin/kmymoney  kmymoney.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `/usr/local/bin/kmymoney'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libkmm_plugin.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libkmm_plugin.so.5
Reading symbols from /usr/local/lib/libKChart.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKChart.so.2
Reading symbols from /usr/local/lib/libKF5Holidays.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5Holidays.so.5
Reading symbols from /usr/local/lib/libKF5KIOFileWidgets.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5KIOFileWidgets.so.5
Reading symbols from /usr/local/lib/libKF5Bookmarks.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5Bookmarks.so.5
Reading symbols from /usr/local/lib/libKF5Solid.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5Solid.so.5
Reading symbols from /usr/local/lib/libKF5WebKit.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5WebKit.so.5
Reading symbols from /usr/local/lib/qt5/libQt5WebKitWidgets.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/qt5/libQt5WebKitWidgets.so.5
Reading symbols from /usr/local/lib/qt5/libQt5WebKit.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/qt5/libQt5WebKit.so.5
Reading symbols from /usr/local/lib/libKF5Activities.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5Activities.so.5
Reading symbols from /usr/local/lib/libkmm_csvimportercore.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libkmm_csvimportercore.so.5
Reading symbols from /usr/local/lib/libkmm_widgets.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libkmm_widgets.so.5
Reading symbols from /usr/local/lib/libKF5Notifications.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5Notifications.so.5
Reading symbols from /usr/local/lib/libKF5ItemModels.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libKF5ItemModels.so.5
Reading symbols from /usr/local/lib/libgpgmepp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgpgmepp.so.6
Reading symbols from /lib/libthr.so.3...Reading symbols from /usr/lib/debug//lib/libthr.so.3.debug...done.
done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /usr/local/lib/libgpgme.so.11...done.
Loaded symbols for /usr/local/lib/libgpgme.so.11
Reading symbols from /usr/local/lib/libassuan.so.0...done.
Loaded symbols for /usr/local/lib/libassuan.so.0
Reading symbols from /usr/local/lib/libgpg-error.so.0...done.
Loaded symbols for /usr/local/lib/libgpg-error.so.0
Reading symbols from /usr/local/lib/libkmm_mymoney.so.5...done.
Loaded symbols for /usr/local/lib/libkmm_mymoney.so.5
Reading symbols from /usr/local/lib/libkmm_icons.so.5...done.
Loaded symbols for /usr/local/lib/libkmm_icons.so.5
Reading symbols from /usr/local/lib/libpayeeidentifier_iban_bic.so.5...done.
Loaded symbols for /usr/local/lib/libpayeeidentifier_iban_bic.so.5
Reading symbols from /usr/local/lib/libalkimia5.so.7...done.
Loaded symbols for /usr/local/lib/libalkimia5.so.7
Reading symbols from /usr/local/lib/libmpir.so.23...done.
Loaded symbols for /usr/local/lib/libmpir.so.23
Reading symbols from /usr/local/lib/libpayeeidentifier_nationalAccount.so.5...done.
Loaded symbols for /usr/local/lib/libpayeeidentifier_nationalAccount.so.5
Reading symbols from /usr/local/lib/libkmm_payeeidentifier.so.5...done.
Loaded symbols for /usr/local/lib/libkmm_payeeidentifier.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Sql.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Sql.so.5
Reading symbols from /usr/local/lib/libKF5KIOWidgets.so.5...done.
Loaded symbols for /usr/local/lib/libKF5KIOWidgets.so.5
Reading symbols from /usr/local/lib/libKF5KIOCore.so.5...done.
Loaded symbols for /usr/local/lib/libKF5KIOCore.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Concurrent.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Concurrent.so.5
Reading symbols from /usr/local/lib/libKF5JobWidgets.so.5...done.
Loaded symbols for /usr/local/lib/libKF5JobWidgets.so.5
Reading symbols from /usr/local/lib/libKF5KCMUtils.so.5...done.
Loaded symbols for /usr/local/lib/libKF5KCMUtils.so.5
Reading symbols from /usr/local/lib/libKF5XmlGui.so.5...done.
Loaded symbols for /usr/local/lib/libKF5XmlGui.so.5
Reading symbols from /usr/local/lib/libKF5TextWidgets.so.5...done.
Loaded symbols for /usr/local/lib/libKF5TextWidgets.so.5
Reading symbols from /usr/local/lib/libKF5Completion.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Completion.so.5
Reading symbols from /usr/local/lib/libKF5SonnetUi.so.5...done.
Loaded symbols for /usr/local/lib/libKF5SonnetUi.so.5
Reading symbols from /usr/local/lib/qt5/libQt5PrintSupport.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5PrintSupport.so.5
Reading symbols from /usr/local/lib/libKF5IconThemes.so.5...done.
Loaded symbols for /usr/local/lib/libKF5IconThemes.so.5
Reading symbols from /usr/local/lib/libKF5Archive.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Archive.so.5
Reading symbols from /usr/local/lib/libKF5ConfigWidgets.so.5...done.
Loaded symbols for /usr/local/lib/libKF5ConfigWidgets.so.5
Reading symbols from /usr/local/lib/libKF5ConfigGui.so.5...done.
Loaded symbols for /usr/local/lib/libKF5ConfigGui.so.5
Reading symbols from /usr/local/lib/libKF5WidgetsAddons.so.5...done.
Loaded symbols for /usr/local/lib/libKF5WidgetsAddons.so.5
Reading symbols from /usr/local/lib/libKF5Codecs.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Codecs.so.5
Reading symbols from /usr/local/lib/libKF5Auth.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Auth.so.5
Reading symbols from /usr/local/lib/libKF5Service.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Service.so.5
Reading symbols from /usr/local/lib/libKF5CoreAddons.so.5...done.
Loaded symbols for /usr/local/lib/libKF5CoreAddons.so.5
Reading symbols from /usr/local/lib/libKF5I18n.so.5...done.
Loaded symbols for /usr/local/lib/libKF5I18n.so.5
Reading symbols from /usr/local/lib/libKF5ConfigCore.so.5...done.
Loaded symbols for /usr/local/lib/libKF5ConfigCore.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Xml.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Xml.so.5
Reading symbols from /usr/local/lib/libKF5ItemViews.so.5...done.
Loaded symbols for /usr/local/lib/libKF5ItemViews.so.5
Reading symbols from /usr/local/lib/qt5/libQt5DBus.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5DBus.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Widgets.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Widgets.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Gui.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Gui.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Network.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Network.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Core.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Core.so.5
Reading symbols from /usr/lib/libc++.so.1...Reading symbols from /usr/lib/debug//usr/lib/libc++.so.1.debug...done.
done.
Loaded symbols for /usr/lib/libc++.so.1
Reading symbols from /lib/libcxxrt.so.1...Reading symbols from /usr/lib/debug//lib/libcxxrt.so.1.debug...done.
done.
Loaded symbols for /lib/libcxxrt.so.1
Reading symbols from /lib/libm.so.5...Reading symbols from /usr/lib/debug//lib/libm.so.5.debug...done.
done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libgcc_s.so.1...Reading symbols from /usr/lib/debug//lib/libgcc_s.so.1.debug...done.
done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.7...Reading symbols from /usr/lib/debug//lib/libc.so.7.debug...done.
done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/qt5/libQt5Svg.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Svg.so.5
Reading symbols from /usr/local/lib/libKF5Wallet.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Wallet.so.5
Reading symbols from /usr/local/lib/libKF5Parts.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Parts.so.5
Reading symbols from /usr/local/lib/qt5/libQt5Quick.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Quick.so.5
Reading symbols from /usr/local/lib/qt5/libQt5WebChannel.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5WebChannel.so.5
Reading symbols from /usr/local/lib/libicuuc.so.61...done.
Loaded symbols for /usr/local/lib/libicuuc.so.61
Reading symbols from /usr/local/lib/qt5/libQt5Positioning.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Positioning.so.5
Reading symbols from /usr/local/lib/libX11.so.6...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from /usr/local/lib/libXcomposite.so.1...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXrender.so.1...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libicui18n.so.61...done.
Loaded symbols for /usr/local/lib/libicui18n.so.61
Reading symbols from /usr/local/lib/qt5/libQt5Sensors.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Sensors.so.5
Reading symbols from /usr/local/lib/libjpeg.so.8...done.
Loaded symbols for /usr/local/lib/libjpeg.so.8
Reading symbols from /usr/local/lib/libpng16.so.16...done.
Loaded symbols for /usr/local/lib/libpng16.so.16
Reading symbols from /lib/libz.so.6...Reading symbols from /usr/lib/debug//lib/libz.so.6.debug...done.
done.
Loaded symbols for /lib/libz.so.6
Reading symbols from /usr/local/lib/libwebp.so.7...done.
Loaded symbols for /usr/local/lib/libwebp.so.7
Reading symbols from /usr/local/lib/libhyphen.so.0...done.
Loaded symbols for /usr/local/lib/libhyphen.so.0
Reading symbols from /usr/local/lib/libxml2.so.2...done.
Loaded symbols for /usr/local/lib/libxml2.so.2
Reading symbols from /usr/local/lib/libxslt.so.1...done.
Loaded symbols for /usr/local/lib/libxslt.so.1
Reading symbols from /usr/local/lib/libsqlite3.so.0...done.
Loaded symbols for /usr/local/lib/libsqlite3.so.0
Reading symbols from /usr/local/lib/libgio-2.0.so.0...done.
Loaded symbols for /usr/local/lib/libgio-2.0.so.0
Reading symbols from /usr/local/lib/libgstapp-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstapp-1.0.so.0
Reading symbols from /usr/local/lib/libgstbase-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstbase-1.0.so.0
Reading symbols from /usr/local/lib/libgstreamer-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstreamer-1.0.so.0
Reading symbols from /usr/local/lib/libgstpbutils-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstpbutils-1.0.so.0
Reading symbols from /usr/local/lib/libgstaudio-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstaudio-1.0.so.0
Reading symbols from /usr/local/lib/libgsttag-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgsttag-1.0.so.0
Reading symbols from /usr/local/lib/libgstvideo-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstvideo-1.0.so.0
Reading symbols from /usr/local/lib/libgstfft-1.0.so.0...done.
Loaded symbols for /usr/local/lib/libgstfft-1.0.so.0
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libglib-2.0.so.0...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/qt5/libQt5Qml.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5Qml.so.5
Reading symbols from /usr/lib/librt.so.1...Reading symbols from /usr/lib/debug//usr/lib/librt.so.1.debug...done.
done.
Loaded symbols for /usr/lib/librt.so.1
Reading symbols from /usr/local/lib/libKF5WindowSystem.so.5...done.
Loaded symbols for /usr/local/lib/libKF5WindowSystem.so.5
Reading symbols from /usr/local/lib/libphonon4qt5experimental.so.4...done.
Loaded symbols for /usr/local/lib/libphonon4qt5experimental.so.4
Reading symbols from /usr/local/lib/qt5/libQt5X11Extras.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5X11Extras.so.5
Reading symbols from /usr/local/lib/libdbusmenu-qt5.so.2...done.
Loaded symbols for /usr/local/lib/libdbusmenu-qt5.so.2
Reading symbols from /usr/local/lib/libphonon4qt5.so.4...done.
Loaded symbols for /usr/local/lib/libphonon4qt5.so.4
Reading symbols from /usr/local/lib/libintl.so.8...done.
Loaded symbols for /usr/local/lib/libintl.so.8
Reading symbols from /usr/local/lib/libKF5DBusAddons.so.5...done.
Loaded symbols for /usr/local/lib/libKF5DBusAddons.so.5
Reading symbols from /usr/local/lib/qt5/libQt5QuickWidgets.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5QuickWidgets.so.5
Reading symbols from /usr/local/lib/libKF5QuickAddons.so.5...done.
Loaded symbols for /usr/local/lib/libKF5QuickAddons.so.5
Reading symbols from /usr/local/lib/libKF5Package.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Package.so.5
Reading symbols from /usr/local/lib/libKF5Attica.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Attica.so.5
Reading symbols from /usr/local/lib/libKF5GlobalAccel.so.5...done.
Loaded symbols for /usr/local/lib/libKF5GlobalAccel.so.5
Reading symbols from /usr/local/lib/libKF5SonnetCore.so.5...done.
Loaded symbols for /usr/local/lib/libKF5SonnetCore.so.5
Reading symbols from /usr/lib/libbz2.so.4...Reading symbols from /usr/lib/debug//usr/lib/libbz2.so.4.debug...done.
done.
Loaded symbols for /usr/lib/libbz2.so.4
Reading symbols from /usr/lib/liblzma.so.5...Reading symbols from /usr/lib/debug//usr/lib/liblzma.so.5.debug...done.
done.
Loaded symbols for /usr/lib/liblzma.so.5
Reading symbols from /usr/local/lib/libKF5GuiAddons.so.5...done.
Loaded symbols for /usr/local/lib/libKF5GuiAddons.so.5
Reading symbols from /usr/local/lib/libinotify.so.0...done.
Loaded symbols for /usr/local/lib/libinotify.so.0
Reading symbols from /usr/local/lib/libdbus-1.so.3...done.
Loaded symbols for /usr/local/lib/libdbus-1.so.3
Reading symbols from /usr/local/lib/libGL.so.1...done.
Loaded symbols for /usr/local/lib/libGL.so.1
Reading symbols from /usr/local/lib/libharfbuzz.so.0...done.
Loaded symbols for /usr/local/lib/libharfbuzz.so.0
Reading symbols from /usr/lib/libexecinfo.so.1...Reading symbols from /usr/lib/debug//usr/lib/libexecinfo.so.1.debug...done.
done.
Loaded symbols for /usr/lib/libexecinfo.so.1
Reading symbols from /usr/local/lib/libpcre2-16.so.0...done.
Loaded symbols for /usr/local/lib/libpcre2-16.so.0
Reading symbols from /usr/local/lib/libicudata.so.61...
warning: Lowest section in /usr/local/lib/libicudata.so.61 is .hash at 0000000000000120
done.
Loaded symbols for /usr/local/lib/libicudata.so.61
Reading symbols from /usr/local/lib/libxcb.so.1...done.
Loaded symbols for /usr/local/lib/libxcb.so.1
Reading symbols from /usr/local/lib/libffi.so.6...done.
Loaded symbols for /usr/local/lib/libffi.so.6
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libiconv.so.2...done.
Loaded symbols for /usr/local/lib/libiconv.so.2
Reading symbols from /usr/local/lib/libpcre.so.1...done.
Loaded symbols for /usr/local/lib/libpcre.so.1
Reading symbols from /usr/local/lib/libunwind.so.8...done.
Loaded symbols for /usr/local/lib/libunwind.so.8
Reading symbols from /usr/local/lib/liborc-0.4.so.0...done.
Loaded symbols for /usr/local/lib/liborc-0.4.so.0
Reading symbols from /usr/local/lib/libSM.so.6...done.
Loaded symbols for /usr/local/lib/libSM.so.6
Reading symbols from /usr/local/lib/libICE.so.6...done.
Loaded symbols for /usr/local/lib/libICE.so.6
Reading symbols from /usr/local/lib/libXext.so.6...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from /usr/local/lib/libXfixes.so.3...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libxcb-keysyms.so.1...done.
Loaded symbols for /usr/local/lib/libxcb-keysyms.so.1
Reading symbols from /usr/local/lib/libKF5Declarative.so.5...done.
Loaded symbols for /usr/local/lib/libKF5Declarative.so.5
Reading symbols from /usr/local/lib/libexpat.so.1...done.
Loaded symbols for /usr/local/lib/libexpat.so.1
Reading symbols from /usr/local/lib/libxcb-dri3.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-dri3.so.0
Reading symbols from /usr/local/lib/libxcb-xfixes.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-xfixes.so.0
Reading symbols from /usr/local/lib/libxcb-present.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-present.so.0
Reading symbols from /usr/local/lib/libxcb-sync.so.1...done.
Loaded symbols for /usr/local/lib/libxcb-sync.so.1
Reading symbols from /usr/local/lib/libxshmfence.so.1...done.
Loaded symbols for /usr/local/lib/libxshmfence.so.1
Reading symbols from /usr/local/lib/libglapi.so.0...done.
Loaded symbols for /usr/local/lib/libglapi.so.0
Reading symbols from /usr/local/lib/libXdamage.so.1...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libX11-xcb.so.1...done.
Loaded symbols for /usr/local/lib/libX11-xcb.so.1
Reading symbols from /usr/local/lib/libxcb-glx.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-glx.so.0
Reading symbols from /usr/local/lib/libxcb-dri2.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-dri2.so.0
Reading symbols from /usr/local/lib/libXxf86vm.so.1...done.
Loaded symbols for /usr/local/lib/libXxf86vm.so.1
Reading symbols from /usr/local/lib/libdrm.so.2...done.
Loaded symbols for /usr/local/lib/libdrm.so.2
Reading symbols from /usr/local/lib/libfreetype.so.6...done.
Loaded symbols for /usr/local/lib/libfreetype.so.6
Reading symbols from /usr/local/lib/libgraphite2.so.3...done.
Loaded symbols for /usr/local/lib/libgraphite2.so.3
Reading symbols from /lib/libelf.so.2...Reading symbols from /usr/lib/debug//lib/libelf.so.2.debug...done.
done.
Loaded symbols for /lib/libelf.so.2
Reading symbols from /usr/local/lib/libXau.so.6...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libXdmcp.so.6...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/local/lib/qt5/plugins/platforms/libqxcb.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/platforms/libqxcb.so
Reading symbols from /usr/local/lib/qt5/libQt5XcbQpa.so.5...done.
Loaded symbols for /usr/local/lib/qt5/libQt5XcbQpa.so.5
Reading symbols from /usr/local/lib/libfontconfig.so.1...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libXi.so.6...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libxcb-xkb.so.1...done.
Loaded symbols for /usr/local/lib/libxcb-xkb.so.1
Reading symbols from /usr/local/lib/libxcb-render-util.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-render-util.so.0
Reading symbols from /usr/local/lib/libxcb-render.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-render.so.0
Reading symbols from /usr/local/lib/libxcb-xinerama.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-xinerama.so.0
Reading symbols from /usr/local/lib/libxcb-randr.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-randr.so.0
Reading symbols from /usr/local/lib/libxcb-image.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-image.so.0
Reading symbols from /usr/local/lib/libxcb-shm.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-shm.so.0
Reading symbols from /usr/local/lib/libxcb-icccm.so.4...done.
Loaded symbols for /usr/local/lib/libxcb-icccm.so.4
Reading symbols from /usr/local/lib/libxcb-shape.so.0...done.
Loaded symbols for /usr/local/lib/libxcb-shape.so.0
Reading symbols from /usr/local/lib/libxkbcommon-x11.so.0...done.
Loaded symbols for /usr/local/lib/libxkbcommon-x11.so.0
Reading symbols from /usr/local/lib/libxkbcommon.so.0...done.
Loaded symbols for /usr/local/lib/libxkbcommon.so.0
Reading symbols from /usr/local/lib/libxcb-util.so.1...done.
Loaded symbols for /usr/local/lib/libxcb-util.so.1
Reading symbols from /usr/local/lib/libXcursor.so.1...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
Reading symbols from /usr/local/lib/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
Reading symbols from /usr/local/lib/qt5/plugins/imageformats/libqgif.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/imageformats/libqgif.so
Reading symbols from /usr/local/lib/qt5/plugins/imageformats/libqico.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/imageformats/libqico.so
Reading symbols from /usr/local/lib/qt5/plugins/imageformats/libqjpeg.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/imageformats/libqjpeg.so
Reading symbols from /usr/local/lib/qt5/plugins/imageformats/libqsvg.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/imageformats/libqsvg.so
Reading symbols from /usr/local/lib/dri/swrast_dri.so...done.
Loaded symbols for /usr/local/lib/dri/swrast_dri.so
Reading symbols from /usr/local/lib/libdrm_radeon.so.1...done.
Loaded symbols for /usr/local/lib/libdrm_radeon.so.1
Reading symbols from /usr/local/lib/libdrm_amdgpu.so.1...done.
Loaded symbols for /usr/local/lib/libdrm_amdgpu.so.1
Reading symbols from /usr/local/llvm60/lib/libLLVM-6.0.so...done.
Loaded symbols for /usr/local/llvm60/lib/libLLVM-6.0.so
Reading symbols from /usr/local/lib/libedit.so.0...done.
Loaded symbols for /usr/local/lib/libedit.so.0
Reading symbols from /lib/libncurses.so.8...Reading symbols from /usr/lib/debug//lib/libncurses.so.8.debug...done.
done.
Loaded symbols for /lib/libncurses.so.8
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/icalendarexporter.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/icalendarexporter.so
Reading symbols from /usr/local/lib/libical.so.2...done.
Loaded symbols for /usr/local/lib/libical.so.2
Reading symbols from /usr/local/lib/libicalss.so.2...done.
Loaded symbols for /usr/local/lib/libicalss.so.2
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/kbanking.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/kbanking.so
Reading symbols from /usr/local/lib/libgwenhywfar.so.60...done.
Loaded symbols for /usr/local/lib/libgwenhywfar.so.60
Reading symbols from /usr/local/lib/libgwengui-cpp.so.0...done.
Loaded symbols for /usr/local/lib/libgwengui-cpp.so.0
Reading symbols from /usr/local/lib/libgwengui-qt5.so.0...done.
Loaded symbols for /usr/local/lib/libgwengui-qt5.so.0
Reading symbols from /usr/local/lib/libaqbanking.so.35...done.
Loaded symbols for /usr/local/lib/libaqbanking.so.35
Reading symbols from /usr/local/lib/libgcrypt.so.20...done.
Loaded symbols for /usr/local/lib/libgcrypt.so.20
Reading symbols from /usr/local/lib/libgnutls.so.30...done.
Loaded symbols for /usr/local/lib/libgnutls.so.30
Reading symbols from /usr/local/lib/libgmp.so.10...done.
Loaded symbols for /usr/local/lib/libgmp.so.10
Reading symbols from /usr/local/lib/libp11-kit.so.0...done.
Loaded symbols for /usr/local/lib/libp11-kit.so.0
Reading symbols from /usr/local/lib/libunistring.so.2...done.
Loaded symbols for /usr/local/lib/libunistring.so.2
Reading symbols from /usr/local/lib/libtasn1.so.6...done.
Loaded symbols for /usr/local/lib/libtasn1.so.6
Reading symbols from /usr/local/lib/libnettle.so.6...done.
Loaded symbols for /usr/local/lib/libnettle.so.6
Reading symbols from /usr/local/lib/libhogweed.so.4...done.
Loaded symbols for /usr/local/lib/libhogweed.so.4
Reading symbols from /usr/local/lib/libidn2.so.0...done.
Loaded symbols for /usr/local/lib/libidn2.so.0
Reading symbols from /usr/local/lib/gwenhywfar/plugins/60/configmgr/dir.so...done.
Loaded symbols for /usr/local/lib/gwenhywfar/plugins/60/configmgr/dir.so
Reading symbols from /usr/local/lib/aqbanking/plugins/35/providers/aqhbci.so...done.
Loaded symbols for /usr/local/lib/aqbanking/plugins/35/providers/aqhbci.so
Reading symbols from /usr/local/lib/libaqhbci.so.24...done.
Loaded symbols for /usr/local/lib/libaqhbci.so.24
Reading symbols from /usr/local/lib/aqbanking/plugins/35/providers/aqnone.so...done.
Loaded symbols for /usr/local/lib/aqbanking/plugins/35/providers/aqnone.so
Reading symbols from /usr/local/lib/libaqnone.so.35...done.
Loaded symbols for /usr/local/lib/libaqnone.so.35
Reading symbols from /usr/local/lib/aqbanking/plugins/35/providers/aqofxconnect.so...done.
Loaded symbols for /usr/local/lib/aqbanking/plugins/35/providers/aqofxconnect.so
Reading symbols from /usr/local/lib/libaqofxconnect.so.7...done.
Loaded symbols for /usr/local/lib/libaqofxconnect.so.7
Reading symbols from /usr/local/lib/aqbanking/plugins/35/providers/aqpaypal.so...done.
Loaded symbols for /usr/local/lib/aqbanking/plugins/35/providers/aqpaypal.so
Reading symbols from /usr/local/lib/libaqpaypal.so.0...done.
Loaded symbols for /usr/local/lib/libaqpaypal.so.0
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/ofximporter.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/ofximporter.so
Reading symbols from /usr/local/lib/libofx.so.7...done.
Loaded symbols for /usr/local/lib/libofx.so.7
Reading symbols from /usr/local/lib/libosp.so.5...done.
Loaded symbols for /usr/local/lib/libosp.so.5
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/qifexporter.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/qifexporter.so
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/qifimporter.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/qifimporter.so
Reading symbols from /usr/local/lib/qt5/plugins/kmymoney/reconciliationreport.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/kmymoney/reconciliationreport.so
Reading symbols from /usr/local/lib/qt5/plugins/bearer/libqgenericbearer.so...done.
Loaded symbols for /usr/local/lib/qt5/plugins/bearer/libqgenericbearer.so
Reading symbols from /usr/lib/libcrypto.so...done.
Loaded symbols for /usr/lib/libcrypto.so
Reading symbols from /usr/lib/libssl.so...Reading symbols from /usr/lib/debug//usr/lib/libssl.so.8.debug...done.
done.
Loaded symbols for /usr/lib/libssl.so
Reading symbols from /libexec/ld-elf.so.1...Reading symbols from /usr/lib/debug//libexec/ld-elf.so.1.debug...done.
done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x000000080ca9afd5 in QObject::installEventFilter () from /usr/local/lib/qt5/libQt5Core.so.5
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) bt
#0  0x000000080ca9afd5 in QObject::installEventFilter () from /usr/local/lib/qt5/libQt5Core.so.5
#1  0x000000000053b29b in KConfigGroup::readEntry<int> ()
#2  0x0000000000549ef8 in KConfigGroup::readEntry<int> ()
#3  0x000000000052eadd in KConfigGroup::readEntry<int> ()
#4  0x000000080caa0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#5  0x000000080b36de8b in QAction::activate () from /usr/local/lib/qt5/libQt5Widgets.so.5
#6  0x000000080b4e8720 in QMenu::setIcon () from /usr/local/lib/qt5/libQt5Widgets.so.5
#7  0x000000080b4e5e42 in QMenu::internalDelayedPopup () from /usr/local/lib/qt5/libQt5Widgets.so.5
#8  0x000000080b3af1b2 in QWidget::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#9  0x000000080b4ed027 in QMenu::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#10 0x000000080b376e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#11 0x000000080b3799fd in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#12 0x000000080ca6ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#13 0x000000080b377776 in QApplicationPrivate::sendMouseEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#14 0x000000080b3ce3a3 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#15 0x000000080b3cce15 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#16 0x000000080b376e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#17 0x000000080b37814a in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#18 0x000000080ca6ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#19 0x000000080bd08719 in QGuiApplicationPrivate::processMouseEvent () from /usr/local/lib/qt5/libQt5Gui.so.5
#20 0x000000080bcef2bb in QWindowSystemInterface::sendWindowSystemEvents () from /usr/local/lib/qt5/libQt5Gui.so.5
#21 0x000000081d6b962d in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/qt5/libQt5XcbQpa.so.5
#22 0x000000080ca6ba4e in QEventLoop::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#23 0x000000080b4eb30b in QMenu::exec () from /usr/local/lib/qt5/libQt5Widgets.so.5
#24 0x0000000000538fca in KConfigGroup::readEntry<int> ()
#25 0x00000000004bb969 in KConfigGroup::readEntry<bool> ()
#26 0x000000080caa0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#27 0x0000000000506589 in KConfigGroup::readEntry<bool> ()
#28 0x000000000053b8a7 in KConfigGroup::readEntry<int> ()
#29 0x000000080caa0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#30 0x000000080b3af7b2 in QWidget::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#31 0x000000080b44f96d in QFrame::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#32 0x000000080b5bb95d in QAbstractItemView::viewportEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#33 0x000000080ca7026a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/local/lib/qt5/libQt5Core.so.5
#34 0x000000080b376dfb in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#35 0x000000080b37901b in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#36 0x000000080ca6ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#37 0x000000080b3ce7a8 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#38 0x000000080b3cce15 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#39 0x000000080b376e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
#40 0x000000080b37814a in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#41 0x000000080ca6ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#42 0x000000080bd08719 in QGuiApplicationPrivate::processMouseEvent () from /usr/local/lib/qt5/libQt5Gui.so.5
#43 0x000000080bcef2bb in QWindowSystemInterface::sendWindowSystemEvents () from /usr/local/lib/qt5/libQt5Gui.so.5
#44 0x000000081d6b962d in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/qt5/libQt5XcbQpa.so.5
#45 0x000000080ca6ba4e in QEventLoop::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#46 0x000000080ca70631 in QCoreApplication::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#47 0x0000000000473b42 in ?? ()
#48 0x0000000000471a17 in ?? ()
#49 0x00000000004708ff in ?? ()
#50 0x0000000800ca6000 in ?? ()
#51 0x0000000000000000 in ?? ()
(gdb)
Comment 6 bobbilly5 2018-05-30 19:48:30 UTC
ktrace - enable kernel process tracing

/usr/bin/ktrace -i kmymoney
  All was well until I selected an account and clicked 'New':
.
..
...
....
97339 kmymoney RET   write 1
 97339 kmymoney CALL  write(0x8,0x7fffffffd6df,0x1)
 97339 kmymoney GIO   fd 8 wrote 1 byte
       0x0000 01                                                                                         |.|

 97339 kmymoney RET   write 1
 97339 kmymoney CALL  sigprocmask(SIG_BLOCK,0,0x7fffffffced8)
 97339 kmymoney RET   sigprocmask 0
 97339 kmymoney CALL  sigprocmask(SIG_BLOCK,0,0x8705e8948)
 97339 kmymoney RET   sigprocmask 0
 97339 kmymoney CALL  sigprocmask(SIG_BLOCK,0,0x8705e8948)
 97339 kmymoney RET   sigprocmask 0
 97339 kmymoney CALL  write(0x8,0x7fffffffd6df,0x1)
 97339 kmymoney GIO   fd 8 wrote 1 byte
       0x0000 01                                                                                         |.|

 97339 kmymoney RET   write 1
 97339 kmymoney CALL  write(0x8,0x7fffffffd36f,0x1)
 97339 kmymoney GIO   fd 8 wrote 1 byte
       0x0000 01                                                                                         |.|

 97339 kmymoney RET   write 1
 97339 kmymoney CALL  write(0x8,0x7fffffffd36f,0x1)
 97339 kmymoney GIO   fd 8 wrote 1 byte
       0x0000 01                                                                                         |.|

 97339 kmymoney RET   write 1
 97339 kmymoney CALL  write(0x8,0x7fffffffd13f,0x1)
 97339 kmymoney GIO   fd 8 wrote 1 byte
       0x0000 01                                                                                         |.|

 97339 kmymoney RET   write 1
 97339 kmymoney PSIG  SIGSEGV SIG_DFL code=SEGV_MAPERR
 97339 kmymoney RET   _umtx_op -1 errno 4 Interrupted system call
 97339 llvmpipe-0 RET   _umtx_op -1 errno 4 Interrupted system call
 97339 llvmpipe-1 RET   _umtx_op -1 errno 4 Interrupted system call
 97339 kmymoney RET   poll -1 errno 4 Interrupted system call
 97339 llvmpipe-3 RET   _umtx_op -1 errno 4 Interrupted system call
 97339 kmymoney RET   poll -1 errno 4 Interrupted system call
 97339 kmymoney GIO   fd 19 wrote 0 bytes
       ""
 97339 kmymoney RET   poll -1 errno 4 Interrupted system call
 97339 llvmpipe-2 RET   _umtx_op -1 errno 4 Interrupted system call
 97339 kmymoney RET   poll -1 errno 4 Interrupted system call
 97339 kmymoney RET   kevent -1 errno 4 Interrupted system call
 97339 kmymoney NAMI  "kmymoney.core"
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
 97339 kmymoney NAMI  ".."
Comment 7 NSLW 2018-06-02 14:19:02 UTC
Git commit 93df569eb8d6c56ce4b47b5653a2460d61e3b953 by Łukasz Wojniłowicz.
Committed on 02/06/2018 at 13:59.
Pushed by wojnilowicz into branch 'master'.

Delete item after it has been removed
FIXED-IN: 5.0.2

M  +1    -1    kmymoney/widgets/qwidgetcontainer.cpp

https://commits.kde.org/kmymoney/93df569eb8d6c56ce4b47b5653a2460d61e3b953
Comment 8 NSLW 2018-06-02 14:20:59 UTC
I'm not really sure if my patch has made anything better, so it would be helpful if you could compile yourself master branch. If it doesn't work, then please reopen this bug.
Comment 9 Jack 2018-06-02 17:28:56 UTC
Kwanza.Pili - can you also test if this patch prevents the crash for you?
Comment 10 bobbilly5 2018-06-03 04:18:11 UTC
Nope - recompiled with master [has that commit in there] - as soon as I hit 'edit' on a transaction, it crashes.

kmymoney 5.0.80
gdb /usr/local/bin/kmymoney  kmymoney.core
..
...

(gdb) bt
#0  0x000000080829afd5 in QObject::installEventFilter () from /usr/local/lib/qt5/libQt5Core.so.5
#1  0x00000000004e9ffb in KConfigGroup::readEntry<QByteArray> ()
#2  0x00000000004f92c8 in KConfigGroup::readEntry<QByteArray> ()
#3  0x00000000004dbd4d in KConfigGroup::readEntry<QByteArray> ()
#4  0x00000008082a0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#5  0x0000000805d6de8b in QAction::activate () from /usr/local/lib/qt5/libQt5Widgets.so.5
#6  0x0000000805ee8720 in QMenu::setIcon () from /usr/local/lib/qt5/libQt5Widgets.so.5
#7  0x0000000805ee5e42 in QMenu::internalDelayedPopup () from /usr/local/lib/qt5/libQt5Widgets.so.5
#8  0x0000000805daf1b2 in QWidget::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#9  0x0000000805eed027 in QMenu::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#10 0x0000000805d76e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#11 0x0000000805d799fd in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#12 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#13 0x0000000805d77776 in QApplicationPrivate::sendMouseEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#14 0x0000000805dce3a3 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#15 0x0000000805dcce15 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#16 0x0000000805d76e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#17 0x0000000805d7814a in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#18 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#19 0x0000000806708719 in QGuiApplicationPrivate::processMouseEvent () from /usr/local/lib/qt5/libQt5Gui.so.5
#20 0x00000008066ef2bb in QWindowSystemInterface::sendWindowSystemEvents () from /usr/local/lib/qt5/libQt5Gui.so.5
#21 0x000000081d0b962d in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/qt5/libQt5XcbQpa.so.5
#22 0x000000080826ba4e in QEventLoop::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#23 0x0000000805eeb30b in QMenu::exec () from /usr/local/lib/qt5/libQt5Widgets.so.5
#24 0x00000000004ea618 in KConfigGroup::readEntry<QByteArray> ()
#25 0x00000008082a0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#26 0x0000000805daf7b2 in QWidget::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#27 0x0000000805e4f96d in QFrame::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#28 0x0000000805fbb95d in QAbstractItemView::viewportEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#29 0x000000080827026a in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/local/lib/qt5/libQt5Core.so.5
#30 0x0000000805d76dfb in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#31 0x0000000805d7901b in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#32 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#33 0x0000000805dce7a8 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#34 0x0000000805dcce15 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#35 0x0000000805d76e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#36 0x0000000805d7814a in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#37 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#38 0x0000000806708719 in QGuiApplicationPrivate::processMouseEvent () from /usr/local/lib/qt5/libQt5Gui.so.5
#39 0x00000008066ef2bb in QWindowSystemInterface::sendWindowSystemEvents () from /usr/local/lib/qt5/libQt5Gui.so.5
---Type <return> to continue, or q <return> to quit---
#40 0x000000081d0b962d in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/qt5/libQt5XcbQpa.so.5
#41 0x000000080826ba4e in QEventLoop::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#42 0x0000000808270631 in QCoreApplication::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#43 0x0000000000460f62 in ?? ()
#44 0x000000000045efdb in ?? ()
#45 0x000000000045dfcf in ?? ()
#46 0x0000000800a34000 in ?? ()
#47 0x0000000000000000 in ?? ()
Comment 11 Thomas Baumgart 2018-06-03 08:49:10 UTC
Created attachment 113032 [details]
Proposed change to fix problem

@bobbilly5: Can you check if this patch against master solves the problem for you?
Comment 12 bobbilly5 2018-06-03 23:43:34 UTC
just pulled latest master from https://github.com/KDE/kmymoney - applied your patch.  Still no go.
backtrace looks to be the same.
Comment 13 bobbilly5 2018-06-04 05:08:40 UTC
..hmmm - not sure if I was able to test with latest patch - failing to compile it now, so probably missed that error earlier and just ran the old version.  Will try again tomorrow.
Comment 14 Kwanza.Pili 2018-06-04 18:32:26 UTC
With the master branch, I cannot even build it successfully. It fails at kfindtransactiondlg.cpp. I suspect this due to the fact that I upgraded to QT-5.11. Now I get errors such as:
kmymoney-master/kmymoney/dialogs/kfindtransactiondlg_p.h:108:130: error: no matching function for call to ‘KFindTransactionDlg::connect(QHeaderView*, void (QWidget::*)(const QPoint&), KFindTransactionDlg* const&, void (KFindTransactionDlg::*)())’

With the stable v5.0.1, the build is successful but the crash happens as before - any attempt to load/edit/modify data will crash the application. Essentially, all it succeeds in doing is starting up.
Comment 15 bobbilly5 2018-06-04 18:40:38 UTC
Same issue. If I go into the ledger and click on 'new' or 'edit' instant crash. 1.2GB core file

If I go and "Enter Schedule"  - that is all fine, the transaction is added to ledger.  If I then try to 'Edit' that transaction it core dumps.

My compilation issues was due to library upgrade [mesa-lib], other things also quit working - recompiled with newer library, other things are back to working and kmymoney compiles.

5.0.80-dd77e1f9

--- a/kmymoney/widgets/qwidgetcontainer.cpp
+++ b/kmymoney/widgets/qwidgetcontainer.cpp
@@ -51,9 +51,10 @@ void QWidgetContainer::removeOrphans()
     if ((*it_w) && (*it_w)->parent())
       ++it_w;
     else {
-      remove(it_w.key());
-      delete(*it_w);
-      it_w = begin();
+      QWidget* const w = *it_w;
+      it_w = erase(it_w);
+      if (w)
+        w->deleteLater();
     }


(gdb) 
(gdb) 
(gdb) bt
#0  0x000000080829afd5 in QObject::installEventFilter () from /usr/local/lib/qt5/libQt5Core.so.5
#1  0x00000000004ea0ab in KConfigGroup::readEntry<QByteArray> ()
#2  0x00000000004f9378 in KConfigGroup::readEntry<QByteArray> ()
#3  0x00000000004ec1ee in KConfigGroup::readEntry<QByteArray> ()
#4  0x00000008082a0978 in QMetaObject::activate () from /usr/local/lib/qt5/libQt5Core.so.5
#5  0x0000000805d6de8b in QAction::activate () from /usr/local/lib/qt5/libQt5Widgets.so.5
#6  0x0000000805e62c4e in QAbstractButton::isCheckable () from /usr/local/lib/qt5/libQt5Widgets.so.5
#7  0x0000000805e63c3f in QAbstractButton::mouseReleaseEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#8  0x0000000805f3b78f in QToolButton::mouseReleaseEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#9  0x0000000805daf1b2 in QWidget::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#10 0x0000000805f3bcf7 in QToolButton::event () from /usr/local/lib/qt5/libQt5Widgets.so.5
#11 0x0000000805d76e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#12 0x0000000805d799fd in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#13 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#14 0x0000000805d77776 in QApplicationPrivate::sendMouseEvent () from /usr/local/lib/qt5/libQt5Widgets.so.5
#15 0x0000000805dcdeaf in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#16 0x0000000805dcce15 in QDesktopWidget::qt_metacall () from /usr/local/lib/qt5/libQt5Widgets.so.5
#17 0x0000000805d76e10 in QApplicationPrivate::notify_helper () from /usr/local/lib/qt5/libQt5Widgets.so.5
#18 0x0000000805d7814a in QApplication::notify () from /usr/local/lib/qt5/libQt5Widgets.so.5
#19 0x000000080826ff93 in QCoreApplication::notifyInternal2 () from /usr/local/lib/qt5/libQt5Core.so.5
#20 0x0000000806708719 in QGuiApplicationPrivate::processMouseEvent () from /usr/local/lib/qt5/libQt5Gui.so.5
#21 0x00000008066ef2bb in QWindowSystemInterface::sendWindowSystemEvents () from /usr/local/lib/qt5/libQt5Gui.so.5
#22 0x000000081d0b962d in QXcbGlIntegrationPlugin::qt_metacall () from /usr/local/lib/qt5/libQt5XcbQpa.so.5
#23 0x000000080826ba4e in QEventLoop::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#24 0x0000000808270631 in QCoreApplication::exec () from /usr/local/lib/qt5/libQt5Core.so.5
#25 0x0000000000461022 in ?? ()
#26 0x000000000045f09b in ?? ()
#27 0x000000000045e08f in ?? ()
#28 0x0000000800a34000 in ?? ()
#29 0x0000000000000000 in ?? ()
(gdb)
Comment 16 NSLW 2018-06-04 19:06:17 UTC
I think that there may be two crashes here. I see that it crashes in installEventFilter now. There are many installEventFilter and removeEventFilter and I bet calls to them are uneven.
Comment 17 Thomas Baumgart 2018-06-04 19:20:29 UTC
(In reply to bobbilly5 from comment #15)
> Same issue. If I go into the ledger and click on 'new' or 'edit' instant
> crash. 1.2GB core file

What version of Qt are you using?
Comment 18 bobbilly5 2018-06-04 19:23:11 UTC
za:$ pkg info -x qt
alkimia-qt5-7.0.2
gpgme-qt5-1.10.0_1
gwenhywfar-qt5-4.19.0
libdbusmenu-qt5-0.9.3.160420160218_4
polkit-qt5-0.112.0_1
qt4-corelib-4.8.7_12
qt4-gui-4.8.7_3
qt4-svg-4.8.7_2
qt5-assistant-5.10.1
qt5-buildtools-5.10.1
qt5-concurrent-5.10.1
qt5-core-5.10.1
qt5-dbus-5.10.1
qt5-designer-5.10.1
qt5-gui-5.10.1
qt5-help-5.10.1
qt5-linguisttools-5.10.1
qt5-location-5.10.1
qt5-network-5.10.1
qt5-opengl-5.10.1
qt5-phonon4-4.9.1_2
qt5-printsupport-5.10.1
qt5-qmake-5.10.1
qt5-qml-5.10.1
qt5-quick-5.10.1
qt5-script-5.10.1
qt5-scripttools-5.10.1
qt5-sensors-5.10.1
qt5-sql-5.10.1
qt5-sqldrivers-sqlite3-5.10.1
qt5-svg-5.10.1
qt5-testlib-5.10.1
qt5-uiplugin-5.10.1
qt5-uitools-5.10.1
qt5-webchannel-5.10.1
qt5-webkit-5.212.0.a2_9
qt5-widgets-5.10.1
qt5-x11extras-5.10.1
qt5-xml-5.10.1
qt5-xmlpatterns-5.10.1
qtchooser-39
qtcurve-utils-1.9.0.r1
Comment 19 bobbilly5 2018-06-04 20:21:31 UTC
ugh - false alarm, sorry for the noise.
Started looking at the FreeBSD port patches that get applied, usually they are things like path changes, or naming, etc.
If I compile kmymoney 5.0.1 without this patch, I can edit transactions.  With this patch applied it crashes.  Even when I compiled from -master, this patch was still bing applied by ports.

:$cat patch-kmymoney_dialogs_transactioneditor.cpp 
Fix crash when adding a new schedule to scheduled transactions

--- kmymoney/dialogs/transactioneditor.cpp.orig 2018-04-17 02:57:53 UTC
+++ kmymoney/dialogs/transactioneditor.cpp
@@ -178,7 +178,7 @@ void TransactionEditor::setup(QWidgetList& tabOrderWid
 
   // remove all unused widgets and don't forget to remove them
   // from the tab order list as well
-  d->m_editWidgets.removeOrphans();
+  // d->m_editWidgets.removeOrphans();
   QWidgetList::iterator it_w;
   const QWidgetList editWidgets(d->m_editWidgets.values());
   for (it_w = tabOrderWidgets.begin(); it_w != tabOrderWidgets.end();) {


not sure why that line is commented, but I dont' apply this patch I can edit transactions and add new transactions to ledger.

opened bug with FreeBSD ports
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228752
Comment 20 Jack 2018-06-04 20:42:12 UTC
(In reply to Kwanza.Pili from comment #14)
I do agree there are several different issues here, however I also get the same compile error, with qt 5.11 and gcc 8.0 or 8.1. (Artix linux)  I'll open a separate bug to track that down.
Comment 21 Wolfgang Bauer 2018-07-12 20:13:34 UTC
It seems that https://cgit.kde.org/kmymoney.git/commit/kmymoney/widgets/qwidgetcontainer.cpp?id=2f823a4603f1d9c823f3498e74f3fa05960e2383 (i.e. the patch from comment#11 ) does indeed fix the originally reported crash.

See also https://bugzilla.opensuse.org/show_bug.cgi?id=1100025 .
Comment 22 Kwanza.Pili 2018-07-13 14:32:40 UTC
Yes, the fix seems to work for me. So far I've only tested adding transactions and editing payees, but not importing files yet.
Comment 23 Jack 2018-08-18 19:49:52 UTC
Is this still a problem, or can we re-close?
Comment 24 Wolfgang Bauer 2018-08-18 23:13:20 UTC
(In reply to Jack from comment #23)
> Is this still a problem, or can we re-close?

As I see it, the originally reported problem was fixed by https://cgit.kde.org/kmymoney.git/commit/kmymoney/widgets/qwidgetcontainer.cpp?id=2f823a4603f1d9c823f3498e74f3fa05960e2383 (and the reporter confirmed it in comment#22), so this should be re-closed, yes IMHO.

BUT: that fix should be merged to the 5.0 branch as well I'd say (it's only in master currently), in case there will be a 5.0.2 release.
Comment 25 Jack 2018-08-19 00:00:53 UTC
Then I'm closing this again.  There will be either a 5.0.2 or 5.1 release in the near future, and this fix is planned to be included.  There are a number of bug fixes in both branches, so one will likely be merged into the other before the release.  That bit of git magic is beyond my pay grade, but the developers are aware of it.
Comment 26 Wolfgang Bauer 2018-08-19 00:27:20 UTC
No problem from the openSUSE side, we do have the fix in our 5.0.1 packages meanwhile... ;-)
Comment 27 Kwanza.Pili 2018-08-20 14:21:01 UTC
Agreed with closing it. Thanks.